Tape Libraries and Drives
cancel
Showing results for 
Search instead for 
Did you mean: 

CanB4t update firmware on DLT 4/40

Guilherme_1
Occasional Visitor

CanB4t update firmware on DLT 4/40

We have the HP tape Library 4/40 (DLT8000) connected to L-Class server through Fibre Channel Cable. Due to a HW problem with the picker, we exchange it. Now, the library is partially avaiable. I need to update firmware. Using MSTM, I can update firmware to the drives, but when I try to update firmwre to the media changer, I receive this message: no firmware file compatible with the selected device encountered in /var/tmp. I downloaded the file several times, and receive the same message.
Can you help?
Guy
4 REPLIES
Joseph T. Wyckoff
Honored Contributor

Re: CanB4t update firmware on DLT 4/40

The Omniback guys like me, won't likely know the answer to this one, so I am moving your query to a team more likely to know...
Omniback and NT problems? double check name resolution, DNS/HOSTS...
Michael Tully
Honored Contributor

Re: CanB4t update firmware on DLT 4/40

Hi,

If you have a support contract with HP, get
them to do it. If something goes wrong you
already have a CE on site who can escalate
the problem. I've seen even CE's blow up
the system boards in a tape library trying
to update firmware.

~Michael~
Anyone for a Mutiny ?
Jan Klier
Respected Contributor

Re: CanB4t update firmware on DLT 4/40

Which firmware file did you download - there is a bundle for STM files, and you can individually download LTT files? While they look very similar, they have significant differences.

Alternatively, you can use the Remote Management Card of the library to update the library firmware (point your browser to the library, and the check under the configuration tab).

Or alternatively, if its not too much trouble to connect the library to a Windows box temporarily (or a Laptop), you can use LTT for Windows to update the firwmare.

And lastely, there is HP-UX version of LTT available in beta status.

All of those can be downloaded from the software & drivers section for the 4/40 library on the HP website.

Re: CanB4t update firmware on DLT 4/40

I had a similar problem when I tried upgrading a 2/40 library.
It turned out that I was trying to make a jump in versions that was too big. I had to upgrade to an interim version, and then upgrade from that.
What level is the library on now, and what level are you trying to go to?

I was going from 1.14 -> 1.25, but eventually discovered from HP that there was a problem in doing this. The solution was to upgrade from 1.14 -> 1.20 -> 1.25.
The library now shows its revision as 1250.

Hope that helps.